Download it now!
Bug 93583 - EDITING formatted text on embedded SVG file displayed incorrectly
Summary: EDITING formatted text on embedded SVG file displayed incorrectly
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
4.4.5.2 release
Hardware: All Linux (All)
: low normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: filter:svg
Depends on:
Blocks: SVG-Import
  Show dependency treegraph
 
Reported: 2015-08-21 21:41 UTC by Sawik
Modified: 2019-06-20 02:50 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
screenshots of reported problem (56.82 KB, image/png)
2015-08-21 21:41 UTC, Sawik
Details
SVG file, that works incorrectly (17.36 KB, image/svg+xml)
2015-08-22 18:47 UTC, Sawik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Sawik 2015-08-21 21:41:53 UTC
Created attachment 118080 [details]
screenshots of reported problem

SVG file generated by Gnuplot (a plot) displays correctly in inkscape (or risretto) but there are glitches while embedding into LO Draw (screen-shots attached to this report).

When some text has non-default formatting (superscript or italics) is misplaced relatively to rest of the text. Generating a plot without this formatting and thed adding it inside Inkscape does not solve the problem.

For me this bug is quite annoing, becouse I prefer to use vector graphics in order to reduce document file. And if I do this I'm stuck with incorrect formatting (mathematical expressions needs to be written using italics).
Comment 1 Joel Madero 2015-08-21 22:35:54 UTC
Please attach an actual svg instead of a screenshot. Marking as NEEDINFO - once you add it mark as UNCONFIRMED. Thanks
Comment 2 Joel Madero 2015-08-21 22:36:31 UTC
Also this is not a MAJOR bug - please don't overprioritize your own bugs. It being annoying to you is not the objective criteria that we prioritize based on. This is just a normal every day bug. Marking as such.
Comment 3 Sawik 2015-08-22 18:47:31 UTC
Created attachment 118095 [details]
SVG file, that works incorrectly
Comment 4 Sawik 2015-08-22 18:52:28 UTC
Marked unconfirmed as requested.

Sorry for overrating this bug, I'm pretty new here and I had not enough experience to choose proper option.

BTW, I'm quite interesting on the origins of this error.
Comment 5 Joel Madero 2015-08-23 20:16:10 UTC
@Sawik -

Thanks! Confirmed
Ubuntu 15.04 x64
LibreOffice 4.4.5.2 & 5.0.0.5

Setting Component to LibreOffice because it's any component that you insert it into.

Updating version - version is oldest version that demonstrates the issue.

Setting as:
New -
Normal - can prevent high quality work;
Low - This isn't going to impact a ton of users, it's specific to particular types of svg files. Already inserting images are not going to be incredibly common, inserting svg's less common, inserting svg's that have the characteristics of this file, less common.

Please know that these settings don't prevent developers from taking interest, it's just an objective criteria that we use to indicate how many users are affected and how serious the bug is (loss of data, etc..).

One useful thing would be to determine if this is a regression by going through older versions of LibreOffice:

http://downloadarchive.documentfoundation.org/libreoffice/old/
Comment 6 QA Administrators 2017-10-30 08:31:45 UTC Comment hidden (obsolete)
Comment 7 Sawik 2017-10-30 09:43:02 UTC
Bug is still present on version: 5.3.6.1
Build ID: 1:5.3.6~rc1-0ubuntu0.16.04.1~lo0
Comment 8 Roman Kuznetsov 2018-06-19 12:19:26 UTC
still repro in LibreOffice 6.1 beta 2
Comment 9 QA Administrators 2019-06-20 02:50:11 UTC
Dear Sawik,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug